//MESTRANDO: Lilian C.S. Ferreira
//TRABALHO: Gera Mandelbrot - Computao Visual UFF
//PROFESSORA: Aura Conci
//-----------------------------------------------------------------------
#include <dir.h>
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <string.h>
#include <graphics.h>
#define XMAX 638
#define YMAX 345
#define MAXCOUNT 16
void main(void)
{
   int driver, mode;
   int count;
   int x, y;
   float xscale, yscale;
   float xside, yside;
   float left, top;
   float zx, zy;
   float cx, cy;
   float tempx;

   left = -1.75;
   top = 1.25;
   xside = 3.5;
   yside = -2.5;
   xscale = xside/XMAX;
   yscale = yside/YMAX;
   driver = EGA;
   mode = EGAHI;
   initgraph(&driver, &mode, "\\newtc\\Lib");
   rectangle( 0, 0, XMAX+1, YMAX+1 );

   for ( y=1; y<=YMAX; y++ )
   {
	   for ( x=1; x<+XMAX; x++ )
	   {
		   //------- anteriormente-------
		   //cx = x * xscale + left;
		   //cy = y * yscale + top;
		   //zx = zy = 0;
		   //----------------------------
		   zx = x * xscale + left;
		   zy = y * yscale + top;
		   cx = -.74543;
		   cy = +.11301;
		   count = 0;
		   while ( zx * zx + zy * zy < 4  && count < MAXCOUNT )
		   {
			  tempx = zx * zx - zy * zy + cx;
			  zy = 2 * zx * zy + cy;
			  zx = tempx;
			  count++;
		   }
		   putpixel( x, y, count);
		   if ( kbhit() )
			  exit(0);
	   }
   }
   getche();
   closegraph();
}
